APIs
Get Total Accrued Interest
The response to this API call includes the sum of customer accrued interest (in cents) for a given period of time.
| Verb | GET |
| URL | https://api.s.unit.sh/accrued-interest/total |
| Required Scope | accounts |
| Timeout (Seconds) | 5 |
Query Parameters
| Name | Type | Default | Description |
|---|---|---|---|
| filter[accountId] | string | (empty) | Optional. Filters the results by the specified account id. |
| filter[since] | RFC3339 Date string | (empty) | Optional. Filters the accrued interest after the specified date. e.g. 2024-01-13T16:01:19.346Z |
| filter[until] | RFC3339 Date string | (empty) | Optional. Filters the account accrued interest before the specified date. e.g. 2024-05-06T16:01:00.123Z |
| filter[sinceInterestMonth] | ISO8601 Year-Month string | (empty) | Optional. Filters the accrued interest after the specified month. e.g. 2024-03 |
| filter[untilInterestMonth] | ISO8601 Year-Month string | (empty) | Optional. Filters the accrued interest before the specified month. e.g. 2024-07 |
Note
Either a set of [since] & [until] OR a set of [sinceInterestMonth] & [untilInterestMonth] is required.
Response
Response is a JSON:API document.
200 OK
curl -X GET 'https://api.s.unit.sh/accrued-interest/total' \
-H "Authorization: Bearer ${TOKEN}"